/*
bgmatrixtext.cpp
Allow to put characters in a buffer, to be displayed on LED matrices
====================================================================*/
#include <Arduino.h>

void setChar(byte* abBuf, word wIndex, char cSymbol) {
//====================================================
// Assigne the given Symbol to the  pabBuffer,  at the  index  wIndex
// c.f. https://www.arduino.cc/en/Reference/IntegerConstants

// Default character = space (blank)
  abBuf[wIndex+0] = B00000000;
  abBuf[wIndex+1] = B00000000;
  abBuf[wIndex+2] = B00000000;
  abBuf[wIndex+3] = B00000000;
  abBuf[wIndex+4] = B00000000;
  abBuf[wIndex+5] = B00000000;
  abBuf[wIndex+6] = B00000000;
  abBuf[wIndex+7] = B00000000;
/*
if (cSymbol == ' ') {
  abBuf[wIndex+0] = B00000000;
  abBuf[wIndex+1] = B00000000;
  abBuf[wIndex+2] = B00000000;
  abBuf[wIndex+3] = B00000000;
  abBuf[wIndex+4] = B00000000;
  abBuf[wIndex+5] = B00000000;
  abBuf[wIndex+6] = B00000000;
  abBuf[wIndex+7] = B00000000;
  }
*/  
if (cSymbol == '!') {
  abBuf[wIndex+0] = B01000000;
  abBuf[wIndex+1] = B01000000;
  abBuf[wIndex+2] = B01000000;
  abBuf[wIndex+3] = B01000000;
  abBuf[wIndex+4] = B01000000;
  abBuf[wIndex+5] = B01000000;
  abBuf[wIndex+6] = B00000000;
  abBuf[wIndex+7] = B01000000;
  }
if (cSymbol == 'A') {
  abBuf[wIndex+0] = B01111110;
  abBuf[wIndex+1] = B01111110;
  abBuf[wIndex+2] = B01100110;
  abBuf[wIndex+3] = B01111110;
  abBuf[wIndex+4] = B01111110;
  abBuf[wIndex+5] = B01100110;
  abBuf[wIndex+6] = B01100110;
  abBuf[wIndex+7] = B01100110;
  }
if (cSymbol == 'B') {
  abBuf[wIndex+0] = B01111100;
  abBuf[wIndex+1] = B01111110;
  abBuf[wIndex+2] = B01100010;
  abBuf[wIndex+3] = B01111110;
  abBuf[wIndex+4] = B01111110;
  abBuf[wIndex+5] = B01100010;
  abBuf[wIndex+6] = B01111110;
  abBuf[wIndex+7] = B01111100;
  }
if (cSymbol == 'C') {
  abBuf[wIndex+0] = B00111110;
  abBuf[wIndex+1] = B01111110;
  abBuf[wIndex+2] = B01100000;
  abBuf[wIndex+3] = B01100000;
  abBuf[wIndex+4] = B01100000;
  abBuf[wIndex+5] = B01100000;
  abBuf[wIndex+6] = B01111110;
  abBuf[wIndex+7] = B00111110;
  }
if (cSymbol == 'D') {
  abBuf[wIndex+0] = B01111000;
  abBuf[wIndex+1] = B01101100;
  abBuf[wIndex+2] = B01100110;
  abBuf[wIndex+3] = B01100110;
  abBuf[wIndex+4] = B01100110;
  abBuf[wIndex+5] = B01100110;
  abBuf[wIndex+6] = B01101100;
  abBuf[wIndex+7] = B01111000;
  }
if (cSymbol == 'E') {
  abBuf[wIndex+0] = B01111110;
  abBuf[wIndex+1] = B01111110;
  abBuf[wIndex+2] = B01100000;
  abBuf[wIndex+3] = B01111110;
  abBuf[wIndex+4] = B01111110;
  abBuf[wIndex+5] = B01100000;
  abBuf[wIndex+6] = B01111110;
  abBuf[wIndex+7] = B01111110;
  }
if (cSymbol == 'F') {
  abBuf[wIndex+0] = B01111110;
  abBuf[wIndex+1] = B01111110;
  abBuf[wIndex+2] = B01100000;
  abBuf[wIndex+3] = B01111100;
  abBuf[wIndex+4] = B01111100;
  abBuf[wIndex+5] = B01100000;
  abBuf[wIndex+6] = B01100000;
  abBuf[wIndex+7] = B01100000;
  }
if (cSymbol == 'G') {
  abBuf[wIndex+0] = B00111100;
  abBuf[wIndex+1] = B01100010;
  abBuf[wIndex+2] = B01100000;
  abBuf[wIndex+3] = B01100000;
  abBuf[wIndex+4] = B01101110;
  abBuf[wIndex+5] = B01100110;
  abBuf[wIndex+6] = B01111110;
  abBuf[wIndex+7] = B00111100;
  }
if (cSymbol == 'H') {
  abBuf[wIndex+0] = B01100110;
  abBuf[wIndex+1] = B01100110;
  abBuf[wIndex+2] = B01100110;
  abBuf[wIndex+3] = B01111110;
  abBuf[wIndex+4] = B01111110;
  abBuf[wIndex+5] = B01100110;
  abBuf[wIndex+6] = B01100110;
  abBuf[wIndex+7] = B01100110;
  }
if (cSymbol == 'I') {
  abBuf[wIndex+0] = B01111110;
  abBuf[wIndex+1] = B01111110;
  abBuf[wIndex+2] = B00011000;
  abBuf[wIndex+3] = B00011000;
  abBuf[wIndex+4] = B00011000;
  abBuf[wIndex+5] = B00011000;
  abBuf[wIndex+6] = B01111110;
  abBuf[wIndex+7] = B01111110;
  }
if (cSymbol == 'J') {
  abBuf[wIndex+0] = B01111110;
  abBuf[wIndex+1] = B00000110;
  abBuf[wIndex+2] = B00000110;
  abBuf[wIndex+3] = B00000110;
  abBuf[wIndex+4] = B00000110;
  abBuf[wIndex+5] = B00000110;
  abBuf[wIndex+6] = B01101100;
  abBuf[wIndex+7] = B00111000;
  }
if (cSymbol == 'K') {
  abBuf[wIndex+0] = B01100110;
  abBuf[wIndex+1] = B01101100;
  abBuf[wIndex+2] = B01111000;
  abBuf[wIndex+3] = B01110000;
  abBuf[wIndex+4] = B01100000;
  abBuf[wIndex+5] = B01111000;
  abBuf[wIndex+6] = B01101100;
  abBuf[wIndex+7] = B01100110;
  }
if (cSymbol == 'L') {
  abBuf[wIndex+0] = B01100000;
  abBuf[wIndex+1] = B01100000;
  abBuf[wIndex+2] = B01100000;
  abBuf[wIndex+3] = B01100000;
  abBuf[wIndex+4] = B01100000;
  abBuf[wIndex+5] = B01100000;
  abBuf[wIndex+6] = B01111100;
  abBuf[wIndex+7] = B01111100;
  }
if (cSymbol == 'M') {
  abBuf[wIndex+0] = B00111100;
  abBuf[wIndex+1] = B01111110;
  abBuf[wIndex+2] = B01101010;
  abBuf[wIndex+3] = B01101010;
  abBuf[wIndex+4] = B01111110;
  abBuf[wIndex+5] = B01101010;
  abBuf[wIndex+6] = B01101010;
  abBuf[wIndex+7] = B01101010;
  }
if (cSymbol == 'N') {
  abBuf[wIndex+0] = B01100110;
  abBuf[wIndex+1] = B01101110;
  abBuf[wIndex+2] = B01101110;
  abBuf[wIndex+3] = B01111110;
  abBuf[wIndex+4] = B01111110;
  abBuf[wIndex+5] = B01110110;
  abBuf[wIndex+6] = B01110110;
  abBuf[wIndex+7] = B01100110;
  }
if (cSymbol == 'O') {
  abBuf[wIndex+0] = B00111100;
  abBuf[wIndex+1] = B01111110;
  abBuf[wIndex+2] = B01100110;
  abBuf[wIndex+3] = B01000010;
  abBuf[wIndex+4] = B01000010;
  abBuf[wIndex+5] = B01100110;
  abBuf[wIndex+6] = B01111110;
  abBuf[wIndex+7] = B00111100;
  }
if (cSymbol == 'P') {
  abBuf[wIndex+0] = B01111100;
  abBuf[wIndex+1] = B01100110;
  abBuf[wIndex+2] = B01100110;
  abBuf[wIndex+3] = B01111100;
  abBuf[wIndex+4] = B01100000;
  abBuf[wIndex+5] = B01100000;
  abBuf[wIndex+6] = B01100000;
  abBuf[wIndex+7] = B01100000;
  }
if (cSymbol == 'Q') {
  abBuf[wIndex+0] = B00111100;
  abBuf[wIndex+1] = B01111110;
  abBuf[wIndex+2] = B01100110;
  abBuf[wIndex+3] = B01000010;
  abBuf[wIndex+4] = B01010010;
  abBuf[wIndex+5] = B01101110;
  abBuf[wIndex+6] = B01111110;
  abBuf[wIndex+7] = B00111111;
  }
if (cSymbol == 'R') {
  abBuf[wIndex+0] = B01111100;
  abBuf[wIndex+1] = B01111110;
  abBuf[wIndex+2] = B01100010;
  abBuf[wIndex+3] = B01100010;
  abBuf[wIndex+4] = B01111100;
  abBuf[wIndex+5] = B01111000;
  abBuf[wIndex+6] = B01101110;
  abBuf[wIndex+7] = B01100110;
  }
if (cSymbol == 'S') {
  abBuf[wIndex+0] = B00111110;
  abBuf[wIndex+1] = B01100110;
  abBuf[wIndex+2] = B01100010;
  abBuf[wIndex+3] = B01110000;
  abBuf[wIndex+4] = B00011000;
  abBuf[wIndex+5] = B01011110;
  abBuf[wIndex+6] = B01100110;
  abBuf[wIndex+7] = B00111100;
  }
if (cSymbol == 'T') {
  abBuf[wIndex+0] = B01111110;
  abBuf[wIndex+1] = B01111110;
  abBuf[wIndex+2] = B00011000;
  abBuf[wIndex+3] = B00011000;
  abBuf[wIndex+4] = B00011000;
  abBuf[wIndex+5] = B00011000;
  abBuf[wIndex+6] = B00011000;
  abBuf[wIndex+7] = B00011000;
  }
if (cSymbol == 'U') {
  abBuf[wIndex+0] = B01100110;
  abBuf[wIndex+1] = B01100110;
  abBuf[wIndex+2] = B01100110;
  abBuf[wIndex+3] = B01100110;
  abBuf[wIndex+4] = B01100110;
  abBuf[wIndex+5] = B01100110;
  abBuf[wIndex+6] = B01111110;
  abBuf[wIndex+7] = B01111110;
  }
if (cSymbol == 'V') {
  abBuf[wIndex+0] = B01100110;
  abBuf[wIndex+1] = B01100110;
  abBuf[wIndex+2] = B01100110;
  abBuf[wIndex+3] = B01100110;
  abBuf[wIndex+4] = B01100110;
  abBuf[wIndex+5] = B00100100;
  abBuf[wIndex+6] = B00111100;
  abBuf[wIndex+7] = B00011000;
  }
if (cSymbol == 'W') {
  abBuf[wIndex+0] = B01001010;
  abBuf[wIndex+1] = B01001010;
  abBuf[wIndex+2] = B01001010;
  abBuf[wIndex+3] = B01111110;
  abBuf[wIndex+4] = B01111110;
  abBuf[wIndex+5] = B01100110;
  abBuf[wIndex+6] = B01100110;
  abBuf[wIndex+7] = B01000010;
  }
if (cSymbol == 'X') {
  abBuf[wIndex+0] = B01100110;
  abBuf[wIndex+1] = B01100110;
  abBuf[wIndex+2] = B00111100;
  abBuf[wIndex+3] = B00011000;
  abBuf[wIndex+4] = B00111100;
  abBuf[wIndex+5] = B00111100;
  abBuf[wIndex+6] = B01100110;
  abBuf[wIndex+7] = B01100110;
  }
if (cSymbol == 'Y') {
  abBuf[wIndex+0] = B01100110;
  abBuf[wIndex+1] = B01100110;
  abBuf[wIndex+2] = B00111100;
  abBuf[wIndex+3] = B00011000;
  abBuf[wIndex+4] = B00011000;
  abBuf[wIndex+5] = B00011000;
  abBuf[wIndex+6] = B00011000;
  abBuf[wIndex+7] = B00011000;
  }
if (cSymbol == 'Z') {
  abBuf[wIndex+0] = B01111110;
  abBuf[wIndex+1] = B00000110;
  abBuf[wIndex+2] = B00000110;
  abBuf[wIndex+3] = B00001100;
  abBuf[wIndex+4] = B00011000;
  abBuf[wIndex+5] = B00110000;
  abBuf[wIndex+6] = B01100000;
  abBuf[wIndex+7] = B01111110;
  }
} // setChar

